<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>My map</title>
<script type="text/javascript" src="d3_min_v5.js"></script>
<link rel="stylesheet" type="text/css" href="map.css">
<style></style>
</head>
<body>
    <div id="container" class="svg-container"></div>
    <script type="text/javascript">
    var w = 700;
    var h = 300;
    var svg = d3.select("div#container").append("svg").attr("preserveAspectRatio", "xMinYMin meet").style("background-color","#c9e8fd")
    .attr("viewBox", "0 0 " + w + " " + h)
    .classed("svg-content", true);
    //var projection = d3.geoMercator().translate([w/2, h/2]).scale(2200).center([20,40]);
    var projection = d3.geoMercator().translate([w/2, h/2]).scale(100).center([20,40]);
    var path = d3.geoPath().projection(projection);

  // load data  
var worldmap = d3.json("countries.geojson");
var cities = d3.csv("cities.csv");

Promise.all([worldmap, cities]).then(function(values){    
 // draw map
    svg.selectAll("path")
        .data(values[0].features)
        .enter()
        .append("path")
        .attr("class","continent")
        .attr("d", path),
 // draw points
    svg.selectAll("circle")
        .data(values[1])
        .enter()
        .append("circle")
        .attr("class","circles")
        .attr("cx", function(d) {return projection([d.Longitude, d.Lattitude])[0];})
        .attr("cy", function(d) {return projection([d.Longitude, d.Lattitude])[1];})
        .attr("r", "1px"),
 // add labels
    svg.selectAll("text")
        .data(values[1])
        .enter()
        .append("text")
        .text(function(d) {
                    return d.City + ','+ d.Name;
               })
        .attr("x", function(d) {return projection([d.Longitude, d.Lattitude])[0] + -9;})
        .attr("y", function(d) {return projection([d.Longitude, d.Lattitude])[1] + 3;})
        .attr("class","labels");

    });

</script>
</body>
</html>